Skip to main content
POST
Create a conditional edge path

Authorizations

Authorization
string
header
required

Bearer token issued via the Authentication endpoints.

Headers

Authorization
string
required

A bearer authorization header containing a Risk Cloud API access token in the format Authorization: Bearer TOKEN — replace TOKEN with your actual access token.

To obtain a Risk Cloud API access token, refer to Obtain an API Access Token in the LogicGate Help Center.

Body

application/json

Conditional edge path (Create).

from
string
required

The ID of the source step.

Example:

"a1b2c3d4"

to
string
required

The ID of the destination step.

Example:

"a1b2c3d4"

allowInternal
boolean

Whether a step's current assignee may assign this record to any user with access to the target step on submission.

Example:

false

allowExternal
boolean

Whether a step's current assignee may assign this record to external email addresses on submission.

Example:

false

allowCurrentAssignee
boolean

Allow a step's current assignee to submit without assigning

Example:

false

description
string

Description of the path.

Example:

"This describes the path."

requireAssignee
boolean

Require an assignee to be chosen

Example:

false

operator
enum<string>

Type of operator for an edge path.

Available options:
EQUALS,
NOT_EQUALS,
IS,
IS_NOT,
GREATER_THAN,
GREATER_THAN_EQUALS,
LESS_THAN,
LESS_THAN_EQUALS,
CONTAINS,
DOES_NOT_CONTAIN,
NULL,
NOT_NULL,
DATE_RANGE,
NUMERIC_RANGE
Example:

"EQUALS"

priority
integer<int32>

Determines which edge path should be invoked first. Priority is in descending order with 0 being the first edge.

Example:

0

field
string

Field that is to be evaluated for the edge.

Example:

"a1b2c3d4"

option
Field (Create) · object

Value to be compared against.

Response

Success

id
string

The unique ID of this Risk Cloud resource

Example:

"a1b2c3d4"

from
string

The ID of the source step.

Example:

"a1b2c3d4"

to
string

The ID of the destination step.

Example:

"a1b2c3d4"

allowInternal
boolean

Whether a step's current assignee may assign this record to any user with access to the target step on submission.

Example:

false

allowExternal
boolean

Whether a step's current assignee may assign this record to external email addresses on submission.

Example:

false

allowCurrentAssignee
boolean

Allow a step's current assignee to submit without assigning

Example:

false

description
string

Description of the path.

Example:

"This describes the path."

requireAssignee
boolean

Require an assignee to be chosen

Example:

false

object
string

Identifies the type of object this data represents

Example:

"edge-path"

operator
enum<string>

Type of operator for an edge path.

Available options:
EQUALS,
NOT_EQUALS,
IS,
IS_NOT,
GREATER_THAN,
GREATER_THAN_EQUALS,
LESS_THAN,
LESS_THAN_EQUALS,
CONTAINS,
DOES_NOT_CONTAIN,
NULL,
NOT_NULL,
DATE_RANGE,
NUMERIC_RANGE
Example:

"EQUALS"

priority
integer<int32>

Determines which edge path should be invoked first. Priority is in descending order with 0 being the first edge.

Example:

0

field
Field (Response) · object

Field that is to be evaluated for the edge.

option
Value (Property) · object

Value to be compared against.